package com.gx.obe.management.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.TenderProjectEnterMenuComposite;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/**
 * @Description: 进入不含包件的招标项目
 * @author guoyr
 */
public class EnterTenderProjectAction extends Action {
	public void run(){
		
		ActionListener actionListener = this.getListener();
		if(null != actionListener){
			actionListener.onLoad(this);
			TenderProjectEntity tenderProject = this.getTenderProject();//(TenderProjectEntity)this.getData("tenderProjectEntity");
			TenderProjectEnterMenuComposite tenderProjectEnterComposite = new TenderProjectEnterMenuComposite(actionListener.getParentComposite(), this, SWT.NONE);
//			TenderProjectEnterComposite tenderProjectEnterComposite = new TenderProjectEnterComposite(actionListener.getParentComposite(), tenderProjectEntity, actionListener, SWT.NONE);
			actionListener.loadComposite(this, tenderProjectEnterComposite);
		}
	}
}
